Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcCommHeaderPacket Class Reference

XFcCommHeaderPacket is usage class for communication header data used with datagram packets. More...

Inheritance diagram for XFcCommHeaderPacket:

[legend]
Collaboration diagram for XFcCommHeaderPacket:

[legend]
List of all members.

## Public Member Functions
| XFcCommHeaderPacket (XFcObjectPacketBase *aOBase)
| Constructor.
INT32 | getAckNumber () const
| Gets ack number.
INT32 | getSeqNumber () const
| Gets seq number.
INT32 | isNackFlag () const
| Tests for ack flag.
void | setAckNumber (INT32 aNumber)
| Sets header ack number.
void | setSeqNumber (INT32 aNumber)
| Sets header seq number.
void | setVersionNumber (UINT32 aVersion)
| Sets version number of protocol.
UINT32 | getVersionNumber ()
| Gets version number of protocol.
void | setNackFlag ()
| Sets nack flag.
void | clearNackFlag ()
| Clears nack flag.
void | setPacketType (INT aPacketType)
| Sets packet type.
INT | getPacketType () const
| Gets packet type.
void | setRtt ()
| Sets rtt flag.
INT32 | isRtt () const
| Tests for rtt flag.
virtual | ~XFcCommHeaderPacket ()
| Virtual destructor.
## Private Attributes
CommunicationHeader * | mHeader
| Start ptr for header.

## Detailed Description

XFcCommHeaderPacket is usage class for communication header data used with datagram packets.

Its created for easy access to communication header data.

## Constructor & Destructor Documentation

XFcCommHeaderPacket::XFcCommHeaderPacket | ( | XFcObjectPacketBase * | aOBase | ) |

| Constructor.

virtual XFcCommHeaderPacket::~XFcCommHeaderPacket | ( |  | ) | `[virtual]`

| Virtual destructor.

## Member Function Documentation

void XFcCommHeaderPacket::clearNackFlag | ( |  | ) |

| Clears nack flag.

INT32 XFcCommHeaderPacket::getAckNumber | ( |  | ) | const

| Gets ack number. Returns: ack number.

INT XFcCommHeaderPacket::getPacketType | ( |  | ) | const

| Gets packet type. Returns: packet type.

INT32 XFcCommHeaderPacket::getSeqNumber | ( |  | ) | const

| Gets seq number. Returns: seq number.

UINT32 XFcCommHeaderPacket::getVersionNumber | ( |  | ) |

| Gets version number of protocol. Returns: version number.

INT32 XFcCommHeaderPacket::isNackFlag | ( |  | ) | const

| Tests for ack flag. Returns: 1 if nack flag is set else 0.

INT32 XFcCommHeaderPacket::isRtt | ( |  | ) | const

| Tests for rtt flag.

void XFcCommHeaderPacket::setAckNumber | ( | INT32 | aNumber | ) |

  | Sets header ack number. Parameters:
  aNumber | ack number.

void XFcCommHeaderPacket::setNackFlag | ( |  | ) |

| Sets nack flag.

void XFcCommHeaderPacket::setPacketType | ( | INT | aPacketType | ) |

  | Sets packet type. Parameters:
  aPacketType | packet type.

void XFcCommHeaderPacket::setRtt | ( |  | ) |

| Sets rtt flag.

void XFcCommHeaderPacket::setSeqNumber | ( | INT32 | aNumber | ) |

  | Sets header seq number. Parameters:
  aNumber | seq number.

void XFcCommHeaderPacket::setVersionNumber | ( | UINT32 | aVersion | ) |

  | Sets version number of protocol. Parameters:
  aVersion | version number of protocol

## Member Data Documentation

CommunicationHeader* XFcCommHeaderPacket::mHeader`[private]`

| Start ptr for header.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch